%define name		ion-metadome
%define version		20020605
%define release		3mdk
%define prefix		/usr/X11R6

%define metadome_name		metadome
%define metadome_version	20020717
%define metadome_release	1

Summary:	Ion is a windowmanager for geeks
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Graphical desktop/Other
License:	Artistic
URL: 		http://www.students.tut.fi/~tuomov/ion/
Source0: 	http://www.students.tut.fi/~tuomov/dl/ion-devel-%{version}.tar.bz2
Source1: 	ion-devel-%{version}-extra.tar.bz2
Source2: 	%{metadome_name}-%{metadome_version}.tar.bz2
Source3: 	%{metadome_name}-%{metadome_version}-extra.tar.bz2
Patch0:		%{metadome_name}-%{metadome_version}-Makefile.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  XFree86-devel

%description
Ion (based on PWM) is an unusual kind of X11 window manager that brings a
text-editorish, keyboard friendly user interface to window management. 

This is the development version patched to work with metadome.

From the Author of metadome:
Metadome stands for Menu, Taskbar, Dock Module for ion, excellent, although
unusual window manager. Ion don't have these  useful additions, but allows
writing of modules, so I've tried to fill the  gap, and developed metadome.

%prep
rm -rf %{buildroot}
%setup -T -b 0 -n ion-devel-%{version}
%setup -T -D -a 1 -n ion-devel-%{version}
%setup -T -D -a 2 -n ion-devel-%{version}
%setup -T -D -a 3 -n ion-devel-%{version}

# Patch metadome
%patch0 -p1

%build
# Patch ion to make it work with metadome
cp ./%{metadome_name}-%{metadome_version}/evh-20020605.patch ./
patch -p0 <evh-20020605.patch

# Build ion
make depend

%make	PREFIX=%{prefix} \
	MANDIR=%{prefix}/man \
	DOCDIR=%{_datadir}/doc \
	ETCDIR=%{_sysconfdir}/X11

# Build metadome
cd ./%{metadome_name}-%{metadome_version}
%make
cd ../


%install
rm -rf %{buildroot}

make install	PREFIX=%{buildroot}%{prefix} \
		MANDIR=%{buildroot}%{prefix}/man \
		DOCDIR=%{buildroot}%{_datadir}/doc \
		ETCDIR=%{buildroot}%{_sysconfdir}/X11

# Rename the binary
mv -f %{buildroot}%{prefix}/bin/ion %{buildroot}%{prefix}/bin/%{name}

# Install wrapper
cp -f %{metadome_name}-%{metadome_version}-extra/%{name}-wrapper \
      %{buildroot}%{prefix}/bin

# Install modified config files
cp -f ion-devel-%{version}-extra/*.conf \
      %{buildroot}%{_sysconfdir}/X11/ion-devel

# Install the menu-method script
mkdir -p %{buildroot}%{_sysconfdir}/menu-methods
cp -f %{metadome_name}-%{metadome_version}-extra/%{name} \
      %{buildroot}%{_sysconfdir}/menu-methods

# Install metadome
mkdir -p %{buildroot}%{prefix}/lib/modules/ion
cp -f %{metadome_name}-%{metadome_version}/metadome.so \
      %{buildroot}%{prefix}/lib/modules/ion

mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
cat > %{buildroot}%{_sysconfdir}/X11/wmsession.d/14%{name} << EOF
NAME=Ion
EXEC=%{prefix}/bin/ion
DESC=An unusual kind of X11 window manager
SCRIPT:
exec %{prefix}/bin/ion
EOF

mv $RPM_BUILD_ROOT/%{prefix}/man/man1/ion.1x $RPM_BUILD_ROOT/%{prefix}/man/man1/ion-metadone.1x

rm -rf $RPM_BUILD_ROOT%_docdir/ion

%clean
rm -rf %{buildroot}

%post
%{make_session}
%{update_menus}
update-alternatives --install %{prefix}/bin/ion ion %{prefix}/bin/ion-metadome-wrapper 10
:

%postun
%{make_session}
%{clean_menus}
[ $1 = 0 ] || exit 0
update-alternatives --remove ion %{prefix}/bin/ion-metadome-wrapper
:

%files
%defattr(644,root,root,755)
%doc doc/*.txt ChangeLog LICENSE README
%dir %{_sysconfdir}/X11/ion-devel
%config(noreplace) %{_sysconfdir}/X11/ion-devel/*
%config(noreplace) %{_sysconfdir}/menu-methods/%{name}
%defattr(-,root,root,755)
%{prefix}/bin/*
%{prefix}/man/man1/*
%{_sysconfdir}/X11/wmsession.d/14%{name}
%dir %{prefix}/lib/modules
%dir %{prefix}/lib/modules/ion
%{prefix}/lib/modules/ion/metadome.so

%changelog
* Thu May 01 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 20020605-3mdk
- rename man page to avoid conflict (distlint)
- DIRM distlint error

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 20020605-2mdk
- rebuild

* Wed Aug 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 20020605-1mdk
- from Maxim Heijndijk <cchq@wanadoo.nl> :
	- Initial build
	- Spec from Mandrake: ion-20020207-3mdk
